/*
 * common.h: Common definitions
 *
 * See the main source file 'skinelchi.c' for copyright information and
 * how to reach the author.
 *
 * $Id$
 */

#ifndef VDR_SKINELCHI_COMMON_H
#define VDR_SKINELCHI_COMMON_H

#include <vdr/config.h>

#if APIVERSNUM < 10507
#include "i18n.h"
#define trNOOP(s) (s)
#endif

#if APIVERSNUM < 10509
#define trVDR(s) tr(s)
#endif

#ifdef DEBUG
#	define ISYSLOG(x...)    isyslog(x);
#	define DSYSLOG(x...)    dsyslog(x);
#ifdef DEBUG2
#	define DSYSLOG2(x...)   dsyslog(x);
#else
#	define DSYSLOG2(x...)   ;
#endif
#else
#	define ISYSLOG(x...)    isyslog(x);
#	define DSYSLOG(x...)    ;
#	define DSYSLOG2(x...)   ;
#endif

#ifdef SKINELCHI_USE_AVARDS_PLUGIN
#include "../avards/avards_services.h"
#endif

#ifdef SKINELCHI_USE_EPGSEARCH_PLUGIN
#include "../epgsearch/services.h"
#endif

struct tOSDsize {
  int left, top, width, height;
};

#endif // VDR_SKINELCHI_COMMON_H

